summaryrefslogtreecommitdiffstats
path: root/desktop/rofi-lbonn-wayland
diff options
context:
space:
mode:
author Damian Perticone <mjolnirdam@gmail.com>2022-05-17 20:37:09 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-05-21 08:25:13 +0700
commit98ef3d48ca6fe1fbe8830137a67a9d6860c1ae8f (patch)
treebee4bcf5c81acbc988c9cfc02a473f45e25eaf0d /desktop/rofi-lbonn-wayland
parent2521422d3222fb731fb37914a987dfca80ae9fb0 (diff)
downloadslackbuilds-98ef3d48ca6fe1fbe8830137a67a9d6860c1ae8f.tar.gz
slackbuilds-98ef3d48ca6fe1fbe8830137a67a9d6860c1ae8f.tar.xz
desktop/rofi-lbonn-wayland: Added (wayland window switcher)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop/rofi-lbonn-wayland')
-rw-r--r--desktop/rofi-lbonn-wayland/README18
-rw-r--r--desktop/rofi-lbonn-wayland/rofi-lbonn-wayland.SlackBuild118
-rw-r--r--desktop/rofi-lbonn-wayland/rofi-lbonn-wayland.info10
-rw-r--r--desktop/rofi-lbonn-wayland/slack-desc19
4 files changed, 165 insertions, 0 deletions
diff --git a/desktop/rofi-lbonn-wayland/README b/desktop/rofi-lbonn-wayland/README
new file mode 100644
index 0000000000..7dd3694601
--- /dev/null
+++ b/desktop/rofi-lbonn-wayland/README
@@ -0,0 +1,18 @@
+Rofi-lbonn-wayland is a rofi fork which is is a window switcher,
+application launcher and dmenu replacement.
+
+Rofi-wayland, like dmenu, will provide the user with a textual list of
+options where one or more can be selected. This can either be running
+an application, selecting a window, or options provided by an external
+script.
+Rofi-wayland is a fork of Rofi by lbonn with wayland support.
+Rofi started as a clone of simpleswitcher, written by Sean Pringle -
+a popup window switcher roughly based on superswitcher. Simpleswitcher
+laid the foundations, and therefore Sean Pringle deserves most of the
+credit for this tool. Rofi (renamed, as it lost the simple property)
+has been extended with extra features, like an application launcher
+and ssh-launcher, and can act as a drop-in dmenu replacement, making
+it a very versatile tool.
+
+if you want only wayland support and not X11 edit the slackbuild and
+change -Dxcb=enabled to disabled.
diff --git a/desktop/rofi-lbonn-wayland/rofi-lbonn-wayland.SlackBuild b/desktop/rofi-lbonn-wayland/rofi-lbonn-wayland.SlackBuild
new file mode 100644
index 0000000000..b86c7f94e3
--- /dev/null
+++ b/desktop/rofi-lbonn-wayland/rofi-lbonn-wayland.SlackBuild
@@ -0,0 +1,118 @@
+#!/bin/bash
+
+# Slackware build script for rofi-wayland
+
+# Copyright 2022 Damian Perticone Berisso,Argentina
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=rofi-lbonn-wayland
+SRCNAM=rofi-1.7.3+wayland1
+VERSION=${VERSION:-1.7.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-txz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM
+tar xvf $CWD/$SRCNAM.tar.xz
+cd $SRCNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ -Dstrip=true \
+ -Ddrun=true \
+ -Dwindow=true \
+ -Dcheck=disabled \
+ -Dwayland=enabled \
+ -Dxcb=enabled \
+
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING Changelog CONFIG.md README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/rofi-lbonn-wayland/rofi-lbonn-wayland.info b/desktop/rofi-lbonn-wayland/rofi-lbonn-wayland.info
new file mode 100644
index 0000000000..359c0a6f09
--- /dev/null
+++ b/desktop/rofi-lbonn-wayland/rofi-lbonn-wayland.info
@@ -0,0 +1,10 @@
+PRGNAM="rofi-lbonn-wayland"
+VERSION="1.7.3"
+HOMEPAGE="https://github.com/lbonn/rofi"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/lbonn/rofi/releases/download/1.7.3%2Bwayland1/rofi-1.7.3+wayland1.tar.xz"
+MD5SUM_x86_64="65e10ea4394766368a3e82c6501cbbaa"
+REQUIRES="xcb-util-xrm"
+MAINTAINER="Damian Perticone"
+EMAIL="mjolnirdam@gmail.com"
diff --git a/desktop/rofi-lbonn-wayland/slack-desc b/desktop/rofi-lbonn-wayland/slack-desc
new file mode 100644
index 0000000000..4bf4a24fca
--- /dev/null
+++ b/desktop/rofi-lbonn-wayland/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+rofi-lbonn-wayland: rofi-lbonn-wayland (wayland window switcher)
+rofi-lbonn-wayland:
+rofi-lbonn-wayland: Rofi-lbonn-wayland is a window switcher, application launcher and
+rofi-lbonn-wayland: dmenu replacement forked from rofi for wayland.
+rofi-lbonn-wayland:
+rofi-lbonn-wayland:
+rofi-lbonn-wayland:
+rofi-lbonn-wayland:
+rofi-lbonn-wayland:
+rofi-lbonn-wayland: Home: https://github.com/lbonn/rofi
+rofi-lbonn-wayland: